Name:           python-keyutils
Version:        0.6
Release:        4%{?dist}
Summary:        Python bindings for the keyutils package

License:        ASL 2.0
URL:            https://github.com/sassoftware/%{name}
Source0:        https://pypi.io/packages/source/k/keyutils/keyutils-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  keyutils-libs-devel
BuildRequires:  python3-devel
BuildRequires:  python3-pytest-runner

%description
python-keyutils is a set of python bindings for keyutils, a key management
suite that leverages the infrastructure provided by the Linux kernel for safely
storing and retrieving sensitive infromation in your programs.


%package     -n python3-keyutils
Summary:        Python3 bindings for the keyutils package

%description -n python3-keyutils
python-keyutils is a set of python bindings for keyutils, a key management
suite that leverages the infrastructure provided by the Linux kernel for safely
storing and retrieving sensitive infromation in your programs.


%prep
%setup -q -n keyutils-%{version}


%build
CFLAGS="%{optflags}" %{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}


%check
#{__python3} test/testBasic.py


%files
%license LICENSE
%doc README.rst ChangeLog TODO AUTHORS PKG-INFO

%files -n  python3-keyutils
%license LICENSE
%doc README.rst ChangeLog TODO AUTHORS PKG-INFO
%{python3_sitearch}/*


%changelog
* Wed Feb 02 2022 Ben Boeckel <fedora@me.benboeckel.net> - 0.6-4
- Rebuild for Fedora Python 3.10

* Sat Oct 31 2020 Ben Boeckel <mathstuf@gmail.com> - 0.6-3
- Rebuild for Fedora Python 3.9

* Wed May 20 2020 Ben Boeckel <mathstuf@gmail.com> - 0.6-2
- remove Python2 package

* Wed May 20 2020 Ben Boeckel <mathstuf@gmail.com> - 0.6-1
- update to 0.6

* Sun Oct 14 2018 Ben Boeckel <mathstuf@gmail.com> - 0.5-1
- update to 0.5

* Sun Jan 22 2017 Ben Boeckel <mathstuf@gmail.com> - 0.4-1
- update to 0.4

* Tue Apr 05 2016 Ben Boeckel <mathstuf@gmail.com> - 0.3-1
- initial package
